Page 1 of 1

FlatPress 1.2 "Legato" released

Posted: Sat Mar 20, 2021 12:10 pm
by Arvid
Hi folks,

I just released the final version of FlatPress 1.2 "Legato": https://www.flatpress.org/2021/03/20/ne ... 12-legato/

Thank you all very much for your intensive testing support!

And now: Have fun with the new FlatPress version, and don't forget to tell the world about it :)

All the best,
Arvid

Re: FlatPress 1.2 "Legato" released

Posted: Sun Mar 21, 2021 11:30 pm
by Tongara
Oh man, have already updated my dev blog with this version, and I'll be updating my main site with it soon. Well done to everyone involved~

Re: FlatPress 1.2 "Legato" released

Posted: Sat May 08, 2021 9:27 pm
by Panther
Hi, I have update my 2 websites and all is gone well, but I have a question with php version I'm using on my websites.
I use php version 5.3.29 and work with these 2 informations:
default Standard PHP.INI

zip_cgi.fix_pathinfo Impostazioni avanzate per utenti esperti con:
cgi.fix_pathinfo = 1 e Estensione Zip Abilitata

If I change php version, the websites don't work more, appear with different errors, below for every php version the error on webiste.
5.4.45 Fatal error: Call-time pass-by-reference has been removed in /web/htdocs/www.guerrenelmondo.it/home/fp-plugins/e ... rylist.php on line 131
5.5.38 Fatal error: Call-time pass-by-reference has been removed in /web/htdocs/www.guerrenelmondo.it/home/fp-plugins/e ... rylist.php on line 131
5.6.32 Fatal error: Call-time pass-by-reference has been removed in /web/htdocs/www.guerrenelmondo.it/home/fp-plugins/e ... rylist.php on line 131
7.0.25 Parse error: syntax error, unexpected '&' in /web/htdocs/www.guerrenelmondo.it/home/fp-plugins/e ... rylist.php on line 131
7.1.11 Parse error: syntax error, unexpected '&' in /web/htdocs/www.guerrenelmondo.it/home/fp-plugins/e ... rylist.php on line 131

The problem appears with flatpress 1.1 and with 1.2.....the only problem is that php version 5.3.29 is very old and my service provider (where I have websites) advise to change the version.

There is a solution ?

Re: FlatPress 1.2 "Legato" released

Posted: Sat May 08, 2021 11:12 pm
by Panther
I have a problem with 1 website after upgrade from 1.1 to 1.2, if I enter in every article I get error:

No input file specified.

If I enter in a page, it works.

With the other website, not problem. They have the same settings (php version and everything), I don't understand happened, I have made again the upgrade for a second time, but the error remains.

Re: FlatPress 1.2 "Legato" released

Posted: Sun May 09, 2021 4:02 pm
by eagleman
Panther wrote: Sat May 08, 2021 9:27 pm Hi, I have update my 2 websites and all is gone well, but I have a question with php version I'm using on my websites.
I use php version 5.3.29 and work with these 2 informations:
default Standard PHP.INI

zip_cgi.fix_pathinfo Impostazioni avanzate per utenti esperti con:
cgi.fix_pathinfo = 1 e Estensione Zip Abilitata

If I change php version, the websites don't work more, appear with different errors, below for every php version the error on webiste.
5.4.45 Fatal error: Call-time pass-by-reference has been removed in /web/htdocs/www.guerrenelmondo.it/home/fp-plugins/e ... rylist.php on line 131
5.5.38 Fatal error: Call-time pass-by-reference has been removed in /web/htdocs/www.guerrenelmondo.it/home/fp-plugins/e ... rylist.php on line 131
5.6.32 Fatal error: Call-time pass-by-reference has been removed in /web/htdocs/www.guerrenelmondo.it/home/fp-plugins/e ... rylist.php on line 131
7.0.25 Parse error: syntax error, unexpected '&' in /web/htdocs/www.guerrenelmondo.it/home/fp-plugins/e ... rylist.php on line 131
7.1.11 Parse error: syntax error, unexpected '&' in /web/htdocs/www.guerrenelmondo.it/home/fp-plugins/e ... rylist.php on line 131

The problem appears with flatpress 1.1 and with 1.2.....the only problem is that php version 5.3.29 is very old and my service provider (where I have websites) advise to change the version.

There is a solution ?
I tink the only solution is to use php 5.6 and over. Flatpress 1.1 and 1.2 requires at least that version to work properly, but it seems strange that even with php 7.1 there is an error.

Re: FlatPress 1.2 "Legato" released

Posted: Sun May 09, 2021 7:21 pm
by Panther
The problem of "No input file specified." has been resolved and caused by provider.

If I choice php 5.6.32 I have those errors on video and my websites don't work more.